# Enum Class GenotypeConcordanceStates.ContingencyState

java.lang.Object
java.lang.Enum<GenotypeConcordanceStates.ContingencyState>
picard.vcf.GenotypeConcordanceStates.ContingencyState

All Implemented Interfaces:
  `Serializable, Comparable<GenotypeConcordanceStates.ContingencyState>, Constable`

Enclosing class:
  `GenotypeConcordanceStates`

public static enum GenotypeConcordanceStates.ContingencyState extends Enum<GenotypeConcordanceStates.ContingencyState>
A specific state for a 2x2 contingency table. NA denotes an invalid state that should not be reachable by the code. EMPTY denotes that no conclusion could be drawn from the data.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EMPTY`
`FN`
`FP`
`NA`
`TN`
`TP`

## Method Summary

Modifier and Type
Method
Description
`static GenotypeConcordanceStates.ContingencyState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GenotypeConcordanceStates.ContingencyState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TP

public static final GenotypeConcordanceStates.ContingencyState TP

### FP

public static final GenotypeConcordanceStates.ContingencyState FP

### TN

public static final GenotypeConcordanceStates.ContingencyState TN

### FN

public static final GenotypeConcordanceStates.ContingencyState FN

### NA

public static final GenotypeConcordanceStates.ContingencyState NA

### EMPTY

public static final GenotypeConcordanceStates.ContingencyState EMPTY

## Method Details

### values

public static GenotypeConcordanceStates.ContingencyState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static GenotypeConcordanceStates.ContingencyState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null